### Настройки брошенных корзин

В версии 4.6.0 добавлен функционал выгрузки брошенных корзин.

Для активации необходимо включить опцию ***Выгружать брошенные корзины***

### Брошенные корзины

Брошенная корзина - клиент заходит на сайт, добавляет/удаляет товары в корзине, а затем завершает визит без оформления заказа.

> Важно:
> * Корзины выгружаются только для зарегестрированных клиентов;
> * Для корректной работы корзин, один API ключ = один магизн в CRM;

При разработке функционала, ориентировались на хуки корзины в WooCommerce:
* Хуки для метода **set_cart**:
  * **woocommerce_add_to_cart** - добавление товара в корзину;
  * **woocommerce_after_cart_item_quantity_update** - изменение кол-во товара в корзине;
  * **woocommerce_cart_item_removed** - удаление товара с корзины;
* Хуки для метода **clear_cart**:
  * **woocommerce_cart_emptied** - полная очистка корзины. Также срабатывает при создании заказа;

Корзина создается в CRM, при первом добавлении товара. 

**Фильтры:**

> retailcrm_process_cart - позволяет кастомизировать данные корзины.

**Пример использования:**

```php
<?php

add_filter('retailcrm_process_cart', 'process_crm_cart');

function process_crm_cart($crmCart, $cartItems)
{
    $crmCart['updatedAt'] = null;
    
    return $crmCart;
}
```
/
**Возможные API ошибки:**
* WC_Retailcrm_Client_V5::cartGet : Error: [HTTP-code 404] - корзина не найдена в CRM;