### Поддержка корпоративных клиентов

Для включения функционала корпоративных клиентов, необходимо поставить галочку в настройках модуля напротив опции **Поддержка корпоративных клиентов**. Также в CRM должен быть активен функционал корпоративных клиентов.

В WooCommerce клиент считается корпоративным, если заполнено поле **Компания** в Платежном адресе *(Billing address)* в профиле клиента.
![](https://lh3.googleusercontent.com/tIaEcm0EZkUoyphatT9k6B1tBtcf0icvLrjITR71jOj5i9pRDMXkP_fZI1jOYDbIywzat8IiYTKeF2CH712Gnu_998U5gnvaOZMKWHoExHkaGvXNEKcZJKQFl8jh-rVKgA_k2u5F=s0)

При регистрации покупателя с необходимыми данными, в CRM будет выгружен новый клиент, как обычное физ лицо, однако, если этот клиент оформит заказ, то в CRM будет создан корп клиент с наименованием из поля *Компания*, а клиент станет *Контактным лицом* данного корп клиента, тип клиента также изменится на *Контактное лицо*.

В карточке корп клиента указаны: 
- Наименование, 
- Магазин, 
- Дата регистрации. <br/><br/>
*__В блоке Контактные лица__*: 
- ФИО клиента, 
- Email, 
- Email-подписка *(значение зависит от флага подписки на рассылку на сайте)*,
- признак Основное, 
- Телефон, 
- нет привязки к Компании. <br/><br/>
 *__В блоке Компании__*: 
- Название, 
- Статус, 
- признак Основная, 
- Тип контрагента (Юр лицо), 
- Адрес регистрации *(из Платежного адреса)*, 
- есть привязка к адресу. <br/><br/>
 *__В блоке Адреса__*
- указан Платежный адрес *(заполнены все строки)*.

В карточку контактного лица *(клиента, на которого оформлен заказ)* в данные адреса выгружается **Платежный адрес**.

#### На стороне WooCommerce
| # | Кейс *(действие на стороне Woo)* | Результат |
|--|--|--|
|1| Зарегистрировать клиента, указать в профиле Billing address | При добавлении Billing address в профиле клиента в Woo, он выгружается в CRM в карточку клиента |
|2| Зарегистрировать клиента, указать в профиле Shipping address | Shipping address не выгружается в CRM в карточку клиента |
|3| Зарегистрировать клиента, указать в профиле Billing и Shipping address | В карточку клиента в CRM выгружается только Billing address |
|4| Изменить в профиле клиента Billing address | В карточке клиента в CRM обновляется адрес |
|5| Изменить в профиле клиента Shipping address | Shipping address не выгружается в карточку клиента в CRM |
|6| Зарегистрировать клиента, указать в профиле Billing address, после удалить адрес | При указании Billing address в профиле клиента в Woo, он выгружается в карточку клиента в CRM <br/> Адрес в Woo можно изменить, но удалить нельзя *(возможность отсутствует)* |
|7| Зарегистрировать клиента, указать в профиле Shipping address, после удалить | При указании Shipping address в профиле клиента в Woo, он не выгружается в карточку клиента в CRM <br/> Адрес в Woo можно изменить, но удалить нельзя (возможность отсутствует) |
|8| Оформить заказ с указанием только Billing address | В карточке клиента в CRM указан Billing address <br/> В карточке заказа в CRM указан Billing address |
|9| Оформить заказ с указанием Billing и Shipping address | В карточке клиента в CRM указан Billing address <br/> В карточке заказа в CRM в блоке Доставка указан Shipping address |
| |  |  |
|10| Зарегистрировать клиента, указать при оформлении заказа значение в поле Компания в Billing address | При указании компании в Billing address в профиле клиента, **корп клиент не создается** <br/> **Корп клиент создается при оформлении заказа** <br/> **billing = shipping** <br/> В карточке заказа в CRM в блоке Доставка указан Billing address <br/> В карточке корп клиента в CRM в блоке Компании в поле "Адрес регистрации" указан Billing address; в блоке Адреса также указан Billing address <br/> В карточке Контактного лица *(клиента, на которого оформлен заказ)* в CRM указан Billing address |
|11| Указать при оформлении заказа значение в поле Компания в Shipping address (в Billing address не указано значение в поле Компания) | Корп клиент не создается в CRM; В карточке заказа в CRM указан Shipping address <br/> В карточке клиента в CRM указан Billing address |
|12| Указать при оформлении заказа значение в поле Компания в Billing и Shipping address | Корп клиент создан <br/> В карточке заказа в CRM указан Shipping address <br/> В карточке корп клиента в CRM в блоке Компании в поле Адрес регистрации указан Billing address; в блоке Адреса также указан Billing address <br/> В карточке Контактного лица в CRM указан Billing address |
|13| Изменить значение в поле Компания в профиле клиента в Billing адресе, оформить заказ | Создается новый корп клиент в CRM |
|14| Изменить значение в поле Компания в профиле клиента в Shipping адресе | Никаких изменений на стороне CRM нет |
|15| Зарегистрировать нового клиента, в Billing address в поле Компания указать название существующего корп клиента в CRM | Новый корп клиент не создается в CRM, добавляется новое Контактное лицо в карточку корп клиента + добавляется Billing address в блок Адреса, если он отличен от существующего |
|16| Зарегистрировать нового клиента, в Billing address в поле Компания указать название существующего корп клиента в CRM и существующий адрес | Адрес не дублируется |
| |  |  |
